| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxAnimation Class Reference
Graphics Device Interface (GDI)

`#include <wx/animate.h>`

Inheritance diagram for wxAnimation:
[legend]

## Detailed Description

This class encapsulates the concept of a platform-dependent animation.

An animation is a sequence of frames of the same size. Sound is not supported by wxAnimation.

Note that on wxGTK wxAnimation is capable of loading the formats supported by the internally-used `gdk-pixbuf` library (typically this means only `wxANIMATION_TYPE_GIF`). On other platforms wxAnimation is always capable of loading both GIF and ANI formats (i.e. both `wxANIMATION_TYPE_GIF` and `wxANIMATION_TYPE_ANI`).

##

Library: wxAdvanced
Category: Graphics Device Interface (GDI)

Predefined objects/pointers: wxNullAnimation

See Also
  wxAnimationCtrl, Animation Sample

## Public Member Functions
| wxAnimation ()
| Default ctor.
| wxAnimation (const wxAnimation &anim)
| Copy ctor.
| wxAnimation (const wxString &name, wxAnimationType type=wxANIMATION_TYPE_ANY)
| Loads an animation from a file.
virtual | ~wxAnimation ()
| Destructor.
virtual int | GetDelay (unsigned int i) const
| Returns the delay for the i-th frame in milliseconds.
virtual wxImage | GetFrame (unsigned int i) const
| Returns the i-th frame as a wxImage.
virtual unsigned int | GetFrameCount () const
| Returns the number of frames for this animation.
virtual wxSize | GetSize () const
| Returns the size of the animation.
virtual bool | IsOk () const
| Returns true if animation data is present.
virtual bool | Load (wxInputStream &stream, wxAnimationType type=wxANIMATION_TYPE_ANY)
| Loads an animation from the given stream.
virtual bool | LoadFile (const wxString &name, wxAnimationType type=wxANIMATION_TYPE_ANY)
| Loads an animation from a file.
wxAnimation & | operator= (const wxAnimation &brush)
| Assignment operator, using reference counting.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxAnimation::wxAnimation | ( |  | ) |

Default ctor.

wxAnimation::wxAnimation | ( | const wxAnimation & | anim | ) |

Copy ctor.

wxAnimation::wxAnimation | ( | const wxString & | name,
|  | wxAnimationType | type = `wxANIMATION_TYPE_ANY`
| ) |  |

Loads an animation from a file.

Parameters

  name | The name of the file to load.
  type | See LoadFile() for more info.

virtual wxAnimation::~wxAnimation | ( |  | ) |
| virtual

Destructor.

See Object Destruction for more info.

## Member Function Documentation

virtual int wxAnimation::GetDelay | ( | unsigned int | i | ) | const
| virtual

Returns the delay for the i-th frame in milliseconds.

If `-1` is returned the frame is to be displayed forever.

virtual wxImage wxAnimation::GetFrame | ( | unsigned int | i | ) | const
| virtual

Returns the i-th frame as a wxImage.

This method is not implemented in the native wxGTK implementation of this class and always returns an invalid image there.

virtual unsigned int wxAnimation::GetFrameCount | ( |  | ) | const
| virtual

Returns the number of frames for this animation.

This method is not implemented in the native wxGTK implementation of this class and always returns 0 there.

virtual wxSize wxAnimation::GetSize | ( |  | ) | const
| virtual

Returns the size of the animation.

virtual bool wxAnimation::IsOk | ( |  | ) | const
| virtual

Returns true if animation data is present.

virtual bool wxAnimation::Load | ( | wxInputStream & | stream,
|  | wxAnimationType | type = `wxANIMATION_TYPE_ANY`
| ) |  |
| virtual

Loads an animation from the given stream.

Parameters

  stream | The stream to use to load the animation. Under wxGTK may be any kind of stream; under other platforms this must be a seekable stream.
  type | One of the wxAnimationType enumeration values.

Returns
  true if the operation succeeded, false otherwise.

virtual bool wxAnimation::LoadFile | ( | const wxString & | name,
|  | wxAnimationType | type = `wxANIMATION_TYPE_ANY`
| ) |  |
| virtual

Loads an animation from a file.

Parameters

  name | A filename.
  type | One of the wxAnimationType values; wxANIMATION_TYPE_ANY means that the function should try to autodetect the filetype.

Returns
  true if the operation succeeded, false otherwise.

wxAnimation& wxAnimation::operator= | ( | const wxAnimation & | brush | ) |

Assignment operator, using reference counting.